package com.sxtvs.api.chatgpt.controller;

import com.sxtvs.api.chatgpt.dto.CompletionsRequestDto;
import com.sxtvs.api.chatgpt.dto.CompletionsResponseDto;
import com.sxtvs.api.chatgpt.service.ChatGptService;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ChatGptController {

    @Autowired
    private ChatGptService chatGptService;


    @RequestMapping("completions")
    @SneakyThrows
    public CompletionsResponseDto completions(@RequestBody CompletionsRequestDto dto) {

        return  chatGptService.completions(dto);
    }

}
